\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm,mydashed/.style={dashed,dash phase=1pt}]
\clip(-0.5,-1.25) rectangle (8.5,4.5);
\fill[line width=1.5pt,fill=Gris2] (2.8,0) -- (5.2,0) -- (5.2,3.815756805667782) -- (2.8,3.815756805667782) -- cycle;
\draw [shift={(4,0)},line width=1.5pt]  plot[domain=0:3.141592653589793,variable=\t]({1*4*cos(\t r)+0*4*sin(\t r)},{0*4*cos(\t r)+1*4*sin(\t r)});
\draw [line width=1.5pt] (0,0)-- (8,0);
\draw [line width=1.5pt,mydashed] (4,0)-- (4,4);
\draw [line width=1.5pt, <->] (2.8,-0.4)-- (5.2,-0.4);
\draw [line width=1.5pt] (2.8,0)-- (5.2,0);
\draw [line width=1.5pt] (5.2,0)-- (5.2,3.815756805667782);
\draw [line width=1.5pt] (5.2,3.815756805667782)-- (2.8,3.815756805667782);
\draw [line width=1.5pt] (2.8,3.815756805667782)-- (2.8,0);
\draw [line width=1.5pt] (2.8,3.815756805667782)-- (4,0);
\draw (3.5,-0.5) node[anchor=north west] {$2,40m$};
\draw (-0.25,0.25) node {$A$};
\draw (4.25,0.25) node {$B$};
\draw (8.25,0.25) node {$C$};
\draw (4,4.25) node {$D$};
\draw (5.45,0.25) node {$E$};
\draw (2.55,0.25) node {$F$};
\draw (2.55,4) node {$G$};
\draw (5.45,4) node {$H$};
\end{tikzpicture}
\end{document}